using System.ComponentModel.DataAnnotations;
using System.Collections.Generic;

namespace CARRE_DSS2.Models
{
    public class Observable
    {
        [Key]
        [Display(Name = "Id")]
        public int Id { get; set; }

        [Display(Name = "Node")]
        public string Node { get; set; }

        [Display(Name = "Name")]
        public string Name { get; set; }

        [Display(Name = "Data type")]
        public string DataType { get; set; }

        [Display(Name = "Unit")]
        public string Unit { get; set; }

        [Display(Name = "Measurement")]
        public string Measurement { get; set; }

        ////TODO: one observable can have many types (ex: node 144)
        //[Display(Name = "Type")]
        //public string Type { get; set; }

        public virtual ICollection<RiskElement> RiskElements { get; set; }

        public virtual ICollection<RiskEvidence> RiskEvidences { get; set; }

        public override string ToString()
        {
            return "Id " + Id + " Node " + Node + " Name " + Name + " Name " + " DataType " + DataType + " Unit " + Unit;
        }

    }
}